Почему в автокаде круг становится многоугольником
Перейти к содержимому

Почему в автокаде круг становится многоугольником

  • автор:

Окружность отображается как многоугольник

Доброе время суток!
я полный чайник.установил AutoCAD 2008 русский. При открытии чертежа программа выдает:
«Открываемый рисунок или ссылка из него содержит
объекты, созданные недоступным ObjectARX-
приложением. Такие объекты, сохраненные в
рисунке, отображаются с помощью заместителей;
исходное приложение при этом не нужно. Многие
разработчики, включая Autodesk, предоставляют
адаптеры для редактирования сторонних объектов.
Посетите web-ресурс AutoCAD Object Enabler Assistant,
чтобы найти там адаптеры объектов от Autodesk, или
свяжитесь со сторонними разработчиками, если вам
нужны адаптеры к их приложениям. «

Все окружности отображаются как многоугольники. Подскажите где мне найти эти адаптеры или что надо сделать, чтобы это исправить?

Окружность превращается в квадратуру круга. AutoCAD.

Привет, почему иногда в автокаде окружность превращается многоугольник с большим количеством углов? Как с этим бороться?

Лучший ответ

Это сделано для минимизации расходуемой памяти и ресурсов процессора. «Исправляется» в любой момент (без всяких дополнительных настроек, которые, кстати, не помогут) регенерацией чертежа (команда REGEN или краткое RE )

Остальные ответы

наверно ето визуальная детализация отображения круга (колво отображения граней/углов) . В реал файле круг есть кругом (описание радиус + центр ?)

salfegioПрофи (712) 13 лет назад

чаще всего да, но иногда и две точки делаю. но в начале окружность всё равно получается, но бывает, что после открыть — закрыть файл окружность превращается в угловатую хрень)

В чем может быть проблема?

Вы можете опубликовать сообщение сейчас, а зарегистрироваться позже. Если у вас есть аккаунт, войдите в него для написания от своего имени.
Примечание: вашему сообщению потребуется утверждение модератора, прежде чем оно станет доступным.

Сейчас на странице 0 пользователей

Нет пользователей, просматривающих эту страницу.

Сообщения

Viktor2004

Автор: Viktor2004 · Опубликовано: 20 минут назад
Документ-то у автора — секретный SP9033 а на CX4 контакты точно замыкаются?
Автор: gudstartup · Опубликовано: 24 минуты назад
может и не она одна
Автор: maxx2000 · Опубликовано: 27 минут назад
Изучай Power Surfacing

Viktor2004

Автор: Viktor2004 · Опубликовано: 33 минуты назад
попробую угадать SV0401
Автор: gudstartup · Опубликовано: 38 минут назад

А на ЧПУ у вас что за ошибка? Вы заменили привод и он не включается? Если соединения и конфигурация выполнены правильно и нет неисправности самого бп или приводов то обычно MCC включается сразу если нет сигналов ESP иначе чПУ не позволит включить МСС. Что у вас с готовностью серво F0.6 SA

Ветерок

Автор: Ветерок · Опубликовано: 1 час назад

Достаточно построения доже половины лепестка 🙂 Словами тут не объяснить. Как уже сказали, на ютубе множество уроков. По лепесткам тоже можно найти. И не обязательно для Солида — можно подсмотреть приемы и из других систем.

Автор: ak762 · Опубликовано: 1 час назад

если доступ у ютубу есть, то уроков по подобному моделированию там достаточно чтобы научиться самостоятельно

Автор: Elbaro · Опубликовано: 1 час назад

Всем привет. Уже битый месяц, если не год бьюсь над простым решением следующей задачи. У меня довольно много накопилось макросов, которые работаю только с открытой детально, но не в сборке. И каждый раз подетально открывать их, чтобы применить макрос, слишком много времени занимает и что-то пропустить можно. Хотел бы вставить «код от детали» в некий универсальный код, чтобы он применялся ко всем ВЫБРАННЫМ деталям в сборке. Например, изменить текстуру выбранных граней, записать значения в Property Custom каждой детали, изменить размер и т. д. Все эти макросы есть, но работают они только тогда, когда я открываю деталь отдельно. Помогите пожалуйста с кодом в таким виде: Новый код (начало). Здесь мой код на деталь. новый код (конец) Есть какие-то наработки, но безуспешные. Может кто поделится работающими подобными макросами, а я попробую разобраться и адаптировать его под себя.

Автор: Elbaro · Опубликовано: 1 час назад

Всем привет. Уже битый месяц, если не год бьюсь над простым решением следующей задачи. У меня довольно много накопилось макросов, которые работаю только с открытой детально, но не в сборке. И каждый раз подетально открывать их, чтобы применить макрос, слишком много времени занимает и что-то пропустить можно. Хотел бы вставить «код от детали» в некий универсальный код, чтобы он применялся ко всем ВЫБРАННЫМ деталям в сборке. Например, изменить текстуру выбранных граней, записать значения в Property Custom каждой детали, изменить размер и т. д. Все эти макросы есть, но работают они только тогда, когда я открываю деталь отдельно. Помогите пожалуйста с кодом в таким виде: Новый код (начало). Здесь мой код на деталь. новый код (конец) Есть какие-то наработки, но безуспешные. Вот одна из них — изменить конкретный(по имени) размер выбранных деталей, но все заканчивается ошибкой. Option Explicit Dim swApp As SldWorks.SldWorks Dim swModel As SldWorks.ModelDoc2 Dim swSelMgr As SldWorks.SelectionMgr Dim swComp As SldWorks.Component2 Dim Count As Integer Dim i As Integer Dim myDim As SldWorks.Dimension Sub main() Set swApp = Application.SldWorks Set swModel = swApp.ActiveDoc Set swSelMgr = swModel.SelectionManager Count = swSelMgr.GetSelectedObjectCount2(0) If Count = 0 Then MsgBox «No Components selected»: Exit Sub For i = 1 To Count Set swComp = swSelMgr.GetSelectedObjectsComponent4(i, 0) ‘Code of part Set myDim = swModel.Parameter(«D1@Extrude1») ‘name dimension myDim.SystemValue = 25 / 1000 Next End Sub

Guhl

Автор: Guhl · Опубликовано: 1 час назад

Пока я добился, что у меня работает связка брэйнс, плк, резцедержка через модбас. Работает нормально, пока не поменяет инструмент, не переходит на следующий кадр. Но мне хотелось бы использовать М6. Может ли скрипт обмениваться переменными с брэйнсом? Сейчас изучаю этот вопрос, но вдруг подскажете где посмотреть

Объект Многоугольник в Автокад

За создание в Автокад правильного многоугольника отвечает команда MH-Угол.

Вызвать данную команду можно следующими способами (начать построение в AutoCAD многоугольника):

  • построить многоугольник в Автокад можно из строки меню пункт Рисование — строка Многоугольник;
  • начертить его можно из ленты инструментов на вкладке «Главная» — в группе Рисование кнопка Многоугольник;
  • нарисовать многоугольник в Автокад можно из классической панели инструментов Рисование кнопка Многоугольник;
  • либо прописать наименование команды в командной строке МН-Угол.

Расположение инструмента Polygon в Автокад в строке меню пункт Рисование - строка Многоугольник.

Вызов команды МН-Угол в Автокад на вкладке Главная ленты инструментов - в группе Рисование - кнопка Многоугольник.

Построение многоугольника в Автокад вписанного в окружность

Как уже отмечалось, в вписанный в AutoCAD многоугольник в окружность задается центральной точкой и расстоянием от центра до любой из вершин. Следовательно, радиус описанной окружности — это расстояние от центра многоугольника до одной из его вершин.

Вызываем команду МН-Угол. В командной строке появляется запрос:

Число сторон <4>:

В ответ на который вы должны ввести число сторон, которое должно быть у многоугольника в AutoCAD (от 3 до 1024). Введем значение 5. Нажимаем «Enter». Появляется следующий запрос:

Укажите центр многоугольника:

Зададим центр многоугольника в AutoCAD щелчком мыши. Система отобразит запрос:

Задайте параметр размещения [Вписанный в окружность/Описанный вокруг окружности] <В>:

Выбираем опцию «Вписанный в окружность». Отобразится предварительный вид многоугольника AutoCAD, который прикреплен к линии, проходящей из заданного центра до указателя. Размер его будет изменяться вместе с изменением положения указателя. В командной строке появится запрос:

Радиус окружности:

Радиус окружности можно задать, введя значение в командную строку или щелчком мыши, указав точку на чертеже. Введем значение 20 мм в командную строку и нажмем «Enter». Правильный пятиугольник (многоугольник) в Автокад с радиусом описанной окружности 20 мм построен.

Вписанный многоугольник AutoCAD в окружность радиуса 20 мм.

Построение в AutoCAD вписанного многоугольника в окружность радиуса 20 мм.

Как начертить многоугольник в AutoCAD описанный вокруг окружности

Многоугольник Автокад описанный вокруг окружности задается центральной точкой и расстоянием от центра до средней точки одной из его сторон. Следовательно, радиус вписанной окружности — это расстояние от центра многоугольника до средней точки одной из его сторон.

Вызываем команду «МН-Угол». Система отобразит запрос:

Число сторон <5 - предыдущее значение>:

Соглашаемся со значением по умолчанию, нажимаем «Enter». Появляется следующий запрос:

Укажите центр многоугольника:

Указываем в Автокад центр многоугольника. Появляется запрос в командной строке:

Задайте параметр размещения [Вписанный в окружность/Описанный вокруг окружности] <В>:

Выбираем опцию «Описанный вокруг окружности» команды МН-Угол. Отобразится предварительный вид многоугольника Автокад, который прикреплен к линии, проходящей из заданного центра до указателя, соответствующего середине одной из сторон многоугольника. Размер многоугольника в Автокад будет изменяться вместе с изменением положения указателя. В командной строке появится запрос:

Радиус окружности:

Повторим ввод координат и зададим радиус описанной окружности с помощью задания относительных полярных координат. Введем в командную строку следующее значение @20

  • «@» — отсчет координат ведется от центральной точки многоугольника Автокад;
  • «20» — расстояние от центральной точки, т.е. радиус вписанной окружности;
  • »
  • «0» — значение угла, т.е. 0 градусов.

Правильный многоугольник в Автокад с радиусом вписанной окружности 20 мм построен.

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *